Irrlicht Engine: irr Namespace Reference

Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr Namespace Reference

Everything in the Irrlicht Engine can be found in this namespace. More...

## Namespaces
namespace | core

| Basic classes such as vectors, planes, arrays, lists, and so on can be found in this namespace.
namespace | gui

| The gui namespace contains useful classes for easy creation of a graphical user interface.
namespace | io

| This namespace provides interfaces for input/output: Reading and writing files, accessing zip archives, xml files, ...
namespace | scene

| All scene management can be found in this namespace: Mesh loading, special scene nodes like octrees and billboards, ...
namespace | video

| The video namespace contains classes for accessing the video driver. All 2d and 3d rendering is done here.
## Classes
class | IEventReceiver
| Interface of an object which can receive events. More...
class | ILogger
| Interface for logging messages, warnings and errors. More...
class | IOSOperator
| The Operating system operator provides operation system specific methods and informations. More...
class | IReferenceCounted
| Base class of most objects of the Irrlicht Engine. More...
class | IrrlichtDevice
| The Irrlicht device. You can create it with createDevice() or createDeviceEx(). More...
class | ITimer
| Interface for getting and manipulating the virtual time. More...
struct | SEvent
| SEvents hold information about an event. See irr::IEventReceiver for details on event handling. More...
struct | SIrrlichtCreationParameters
| Structure for holding Irrlicht Device creation parameters. More...
struct | SJoystickInfo
| Information on a joystick, returned from irr::IrrlichtDevice::activateJoysticks(). More...
struct | SKeyMap
| Struct storing which key belongs to which action. More...
## Typedefs
typedef char | c8
| 8 bit character variable.
typedef float | f32
| 32 bit floating point variable.
typedef double | f64
| 64 bit floating point variable.
typedef char | fschar_t
| Type name for character type used by the file system.
typedef IrrlichtDevice *IRRCALLCONV * | funcptr_createDevice (video::E_DRIVER_TYPE deviceType, const core::dimension2d< u32 > &windowSize, u32 bits, bool fullscreen, bool stencilbuffer, bool vsync, IEventReceiver *receiver)
| typedef for Function Pointer
typedef IrrlichtDevice *IRRCALLCONV * | funcptr_createDeviceEx (const SIrrlichtCreationParameters &parameters)
| typedef for Function Pointer
typedef signed short | s16
| 16 bit signed variable.
typedef signed int | s32
| 32 bit signed variable.
typedef signed char | s8
| 8 bit signed variable.
typedef unsigned short | u16
| 16 bit unsigned variable.
typedef unsigned int | u32
| 32 bit unsigned variable.
typedef unsigned char | u8
| 8 bit unsigned variable.
## Enumerations
enum | E_DEVICE_TYPE { EIDT_WIN32, EIDT_WINCE, EIDT_X11, EIDT_OSX, EIDT_SDL, EIDT_FRAMEBUFFER, EIDT_CONSOLE, EIDT_BEST }
| An enum for the different device types supported by the Irrlicht Engine. More...
enum | E_MOUSE_BUTTON_STATE_MASK { EMBSM_LEFT = 0x01, EMBSM_RIGHT = 0x02, EMBSM_MIDDLE = 0x04, EMBSM_EXTRA1 = 0x08, EMBSM_EXTRA2 = 0x10, EMBSM_FORCE_32_BIT = 0x7fffffff }
| Masks for mouse button states. More...
enum | EEVENT_TYPE { EET_GUI_EVENT = 0, EET_MOUSE_INPUT_EVENT, EET_KEY_INPUT_EVENT, EET_JOYSTICK_INPUT_EVENT, EET_LOG_TEXT_EVENT, EET_USER_EVENT, EGUIET_FORCE_32_BIT = 0x7fffffff }
| Enumeration for all event types there are. More...
enum | EKEY_ACTION { EKA_MOVE_FORWARD = 0, EKA_MOVE_BACKWARD, EKA_STRAFE_LEFT, EKA_STRAFE_RIGHT, EKA_JUMP_UP, EKA_CROUCH, EKA_COUNT, EKA_FORCE_32BIT = 0x7fffffff }
| enumeration for key actions. Used for example in the FPS Camera. More...
enum | EKEY_CODE { KEY_LBUTTON = 0x01, KEY_RBUTTON = 0x02, KEY_CANCEL = 0x03, KEY_MBUTTON = 0x04, KEY_XBUTTON1 = 0x05, KEY_XBUTTON2 = 0x06, KEY_BACK = 0x08, KEY_TAB = 0x09, KEY_CLEAR = 0x0C, KEY_RETURN = 0x0D, KEY_SHIFT = 0x10, KEY_CONTROL = 0x11, KEY_MENU = 0x12, KEY_PAUSE = 0x13, KEY_CAPITAL = 0x14, KEY_KANA = 0x15, KEY_HANGUEL = 0x15, KEY_HANGUL = 0x15, KEY_JUNJA = 0x17, KEY_FINAL = 0x18, KEY_HANJA = 0x19, KEY_KANJI = 0x19, KEY_ESCAPE = 0x1B, KEY_CONVERT = 0x1C, KEY_NONCONVERT = 0x1D, KEY_ACCEPT = 0x1E, KEY_MODECHANGE = 0x1F, KEY_SPACE = 0x20, KEY_PRIOR = 0x21, KEY_NEXT = 0x22, KEY_END = 0x23, KEY_HOME = 0x24, KEY_LEFT = 0x25, KEY_UP = 0x26, KEY_RIGHT = 0x27, KEY_DOWN = 0x28, KEY_SELECT = 0x29, KEY_PRINT = 0x2A, KEY_EXECUT = 0x2B, KEY_SNAPSHOT = 0x2C, KEY_INSERT = 0x2D, KEY_DELETE = 0x2E, KEY_HELP = 0x2F, KEY_KEY_0 = 0x30, KEY_KEY_1 = 0x31, KEY_KEY_2 = 0x32, KEY_KEY_3 = 0x33, KEY_KEY_4 = 0x34, KEY_KEY_5 = 0x35, KEY_KEY_6 = 0x36, KEY_KEY_7 = 0x37, KEY_KEY_8 = 0x38, KEY_KEY_9 = 0x39, KEY_KEY_A = 0x41, KEY_KEY_B = 0x42, KEY_KEY_C = 0x43, KEY_KEY_D = 0x44, KEY_KEY_E = 0x45, KEY_KEY_F = 0x46, KEY_KEY_G = 0x47, KEY_KEY_H = 0x48, KEY_KEY_I = 0x49, KEY_KEY_J = 0x4A, KEY_KEY_K = 0x4B, KEY_KEY_L = 0x4C, KEY_KEY_M = 0x4D, KEY_KEY_N = 0x4E, KEY_KEY_O = 0x4F, KEY_KEY_P = 0x50, KEY_KEY_Q = 0x51, KEY_KEY_R = 0x52, KEY_KEY_S = 0x53, KEY_KEY_T = 0x54, KEY_KEY_U = 0x55, KEY_KEY_V = 0x56, KEY_KEY_W = 0x57, KEY_KEY_X = 0x58, KEY_KEY_Y = 0x59, KEY_KEY_Z = 0x5A, KEY_LWIN = 0x5B, KEY_RWIN = 0x5C, KEY_APPS = 0x5D, KEY_SLEEP = 0x5F, KEY_NUMPAD0 = 0x60, KEY_NUMPAD1 = 0x61, KEY_NUMPAD2 = 0x62, KEY_NUMPAD3 = 0x63, KEY_NUMPAD4 = 0x64, KEY_NUMPAD5 = 0x65, KEY_NUMPAD6 = 0x66, KEY_NUMPAD7 = 0x67, KEY_NUMPAD8 = 0x68, KEY_NUMPAD9 = 0x69, KEY_MULTIPLY = 0x6A, KEY_ADD = 0x6B, KEY_SEPARATOR = 0x6C, KEY_SUBTRACT = 0x6D, KEY_DECIMAL = 0x6E, KEY_DIVIDE = 0x6F, KEY_F1 = 0x70, KEY_F2 = 0x71, KEY_F3 = 0x72, KEY_F4 = 0x73, KEY_F5 = 0x74, KEY_F6 = 0x75, KEY_F7 = 0x76, KEY_F8 = 0x77, KEY_F9 = 0x78, KEY_F10 = 0x79, KEY_F11 = 0x7A, KEY_F12 = 0x7B, KEY_F13 = 0x7C, KEY_F14 = 0x7D, KEY_F15 = 0x7E, KEY_F16 = 0x7F, KEY_F17 = 0x80, KEY_F18 = 0x81, KEY_F19 = 0x82, KEY_F20 = 0x83, KEY_F21 = 0x84, KEY_F22 = 0x85, KEY_F23 = 0x86, KEY_F24 = 0x87, KEY_NUMLOCK = 0x90, KEY_SCROLL = 0x91, KEY_LSHIFT = 0xA0, KEY_RSHIFT = 0xA1, KEY_LCONTROL = 0xA2, KEY_RCONTROL = 0xA3, KEY_LMENU = 0xA4, KEY_RMENU = 0xA5, KEY_PLUS = 0xBB, KEY_COMMA = 0xBC, KEY_MINUS = 0xBD, KEY_PERIOD = 0xBE, KEY_ATTN = 0xF6, KEY_CRSEL = 0xF7, KEY_EXSEL = 0xF8, KEY_EREOF = 0xF9, KEY_PLAY = 0xFA, KEY_ZOOM = 0xFB, KEY_PA1 = 0xFD, KEY_OEM_CLEAR = 0xFE, KEY_KEY_CODES_COUNT = 0xFF }
enum | ELOG_LEVEL { ELL_INFORMATION = 0, ELL_WARNING, ELL_ERROR, ELL_NONE }
| Possible log levels. More...
enum | EMOUSE_INPUT_EVENT { EMIE_LMOUSE_PRESSED_DOWN = 0, EMIE_RMOUSE_PRESSED_DOWN, EMIE_MMOUSE_PRESSED_DOWN, EMIE_LMOUSE_LEFT_UP, EMIE_RMOUSE_LEFT_UP, EMIE_MMOUSE_LEFT_UP, EMIE_MOUSE_MOVED, EMIE_MOUSE_WHEEL, EMIE_LMOUSE_DOUBLE_CLICK, EMIE_RMOUSE_DOUBLE_CLICK, EMIE_MMOUSE_DOUBLE_CLICK, EMIE_LMOUSE_TRIPLE_CLICK, EMIE_RMOUSE_TRIPLE_CLICK, EMIE_MMOUSE_TRIPLE_CLICK, EMIE_COUNT }
| Enumeration for all mouse input events. More...
## Functions
IRRLICHT_API IrrlichtDevice *IRRCALLCONV | createDevice (video::E_DRIVER_TYPE deviceType=video::EDT_SOFTWARE, const core::dimension2d< u32 > &windowSize=(core::dimension2d< u32 >(640, 480)), u32 bits=16, bool fullscreen=false, bool stencilbuffer=false, bool vsync=false, IEventReceiver *receiver=0)
| Creates an Irrlicht device. The Irrlicht device is the root object for using the engine.
IRRLICHT_API IrrlichtDevice *IRRCALLCONV | createDeviceEx (const SIrrlichtCreationParameters &parameters)
| Creates an Irrlicht device with the option to specify advanced parameters.

## Detailed Description

Everything in the Irrlicht Engine can be found in this namespace.

As of Irrlicht 1.6, position2d is a synonym for vector2d.

You should consider position2d to be deprecated, and use vector2d by preference.

## Typedef Documentation

typedef char irr::c8

8 bit character variable.

This is a typedef for char, it ensures portability of the engine.

Definition at line 31 of file irrTypes.h.

typedef float irr::f32

32 bit floating point variable.

This is a typedef for float, it ensures portability of the engine.

Definition at line 81 of file irrTypes.h.

typedef double irr::f64

64 bit floating point variable.

This is a typedef for double, it ensures portability of the engine.

Definition at line 85 of file irrTypes.h.

typedef char irr::fschar_t

Type name for character type used by the file system.

Should the wide character version of the FileSystem be used it is a 16 bit character variable. Used for unicode Filesystem and unicode strings. Else it is a 8 bit character variable. Used for ansi Filesystem and non-unicode strings

Definition at line 134 of file irrTypes.h.

typedef IrrlichtDevice* IRRCALLCONV* irr::funcptr_createDevice(video::E_DRIVER_TYPE deviceType, const core::dimension2d< u32 > &windowSize, u32 bits, bool fullscreen, bool stencilbuffer, bool vsync, IEventReceiver *receiver)

typedef for Function Pointer

Definition at line 332 of file irrlicht.h.

typedef IrrlichtDevice* IRRCALLCONV* irr::funcptr_createDeviceEx(const SIrrlichtCreationParameters &parameters)

typedef for Function Pointer

Definition at line 354 of file irrlicht.h.

typedef signed short irr::s16

16 bit signed variable.

This is a typedef for signed short, it ensures portability of the engine.

Definition at line 48 of file irrTypes.h.

typedef signed int irr::s32

32 bit signed variable.

This is a typedef for signed int, it ensures portability of the engine.

Definition at line 66 of file irrTypes.h.

typedef signed char irr::s8

8 bit signed variable.

This is a typedef for signed char, it ensures portability of the engine.

Definition at line 26 of file irrTypes.h.

typedef unsigned short irr::u16

16 bit unsigned variable.

This is a typedef for unsigned short, it ensures portability of the engine.

Definition at line 40 of file irrTypes.h.

typedef unsigned int irr::u32

32 bit unsigned variable.

This is a typedef for unsigned int, it ensures portability of the engine.

Definition at line 58 of file irrTypes.h.

typedef unsigned char irr::u8

8 bit unsigned variable.

This is a typedef for unsigned char, it ensures portability of the engine.

Definition at line 18 of file irrTypes.h.

## Enumeration Type Documentation

enum irr::E_DEVICE_TYPE

An enum for the different device types supported by the Irrlicht Engine.

Enumerator:

  EIDT_WIN32 | A device native to Microsoft Windows. This device uses the Win32 API and works in all versions of Windows.
  EIDT_WINCE | A device native to Windows CE devices. This device works on Windows Mobile, Pocket PC and Microsoft SmartPhone devices
  EIDT_X11 | A device native to Unix style operating systems. This device uses the X11 windowing system and works in Linux, Solaris, FreeBSD, OSX and other operating systems which support X11.
  EIDT_OSX | A device native to Mac OSX. This device uses Apple's Cocoa API and works in Mac OSX 10.2 and above.
  EIDT_SDL | A device which uses Simple DirectMedia Layer. The SDL device works under all platforms supported by SDL but first must be compiled in by defining the IRR_USE_SDL_DEVICE macro in IrrCompileConfig.h
  EIDT_FRAMEBUFFER | A device for raw framebuffer access. Best used with embedded devices and mobile systems. Does not need X11 or other graphical subsystems. May support hw-acceleration via OpenGL-ES for FBDirect
  EIDT_CONSOLE | A simple text only device supported by all platforms. This device allows applications to run from the command line without opening a window. It can render the output of the software drivers to the console as ASCII. It only supports mouse and keyboard in Windows operating systems.
  EIDT_BEST | This selection allows Irrlicht to choose the best device from the ones available. If this selection is chosen then Irrlicht will try to use the IrrlichtDevice native to your operating system. If this is unavailable then the X11, SDL and then console device will be tried. This ensures that Irrlicht will run even if your platform is unsupported, although it may not be able to render anything.

Definition at line 8 of file EDeviceTypes.h.

enum irr::E_MOUSE_BUTTON_STATE_MASK

Masks for mouse button states.

Enumerator:

  EMBSM_LEFT |
  EMBSM_RIGHT |
  EMBSM_MIDDLE |
  EMBSM_EXTRA1 | currently only on windows
  EMBSM_EXTRA2 | currently only on windows
  EMBSM_FORCE_32_BIT |

Definition at line 130 of file IEventReceiver.h.

enum irr::EEVENT_TYPE

Enumeration for all event types there are.

Enumerator:

  EET_GUI_EVENT | An event of the graphical user interface. GUI events are created by the GUI environment or the GUI elements in response to mouse or keyboard events. When a GUI element receives an event it will either process it and return true, or pass the event to its parent. If an event is not absorbed before it reaches the root element then it will then be passed to the user receiver.
  EET_MOUSE_INPUT_EVENT | A mouse input event. Mouse events are created by the device and passed to IrrlichtDevice::postEventFromUser in response to mouse input received from the operating system. Mouse events are first passed to the user receiver, then to the GUI environment and its elements, then finally the input receiving scene manager where it is passed to the active camera.
  EET_KEY_INPUT_EVENT | A key input event. Like mouse events, keyboard events are created by the device and passed to IrrlichtDevice::postEventFromUser. They take the same path as mouse events.
  EET_JOYSTICK_INPUT_EVENT | A joystick (joypad, gamepad) input event. Joystick events are created by polling all connected joysticks once per device run() and then passing the events to IrrlichtDevice::postEventFromUser. They take the same path as mouse events. Windows, SDL: Implemented. Linux: Implemented, with POV hat issues. MacOS / Other: Not yet implemented.
  EET_LOG_TEXT_EVENT | A log event. Log events are only passed to the user receiver if there is one. If they are absorbed by the user receiver then no text will be sent to the console.
  EET_USER_EVENT | A user event with user data. This is not used by Irrlicht and can be used to send user specific data though the system. The Irrlicht 'window handle' can be obtained from IrrlichtDevice::getExposedVideoData() The usage and behaviour depends on the operating system: Windows: send a WM_USER message to the Irrlicht Window; the wParam and lParam will be used to populate the UserData1 and UserData2 members of the SUserEvent. Linux: send a ClientMessage via XSendEvent to the Irrlicht Window; the data.l[0] and data.l[1] members will be casted to s32 and used as UserData1 and UserData2. MacOS: Not yet implemented
  EGUIET_FORCE_32_BIT | This enum is never used, it only forces the compiler to compile these enumeration values to 32 bit.

Definition at line 15 of file IEventReceiver.h.

enum irr::EKEY_ACTION

enumeration for key actions. Used for example in the FPS Camera.

Enumerator:

  EKA_MOVE_FORWARD |
  EKA_MOVE_BACKWARD |
  EKA_STRAFE_LEFT |
  EKA_STRAFE_RIGHT |
  EKA_JUMP_UP |
  EKA_CROUCH |
  EKA_COUNT |
  EKA_FORCE_32BIT | This value is not used. It only forces this enumeration to compile in 32 bit.

Definition at line 14 of file SKeyMap.h.

enum irr::EKEY_CODE

Enumerator:

  KEY_LBUTTON |
  KEY_RBUTTON |
  KEY_CANCEL |
  KEY_MBUTTON |
  KEY_XBUTTON1 |
  KEY_XBUTTON2 |
  KEY_BACK |
  KEY_TAB |
  KEY_CLEAR |
  KEY_RETURN |
  KEY_SHIFT |
  KEY_CONTROL |
  KEY_MENU |
  KEY_PAUSE |
  KEY_CAPITAL |
  KEY_KANA |
  KEY_HANGUEL |
  KEY_HANGUL |
  KEY_JUNJA |
  KEY_FINAL |
  KEY_HANJA |
  KEY_KANJI |
  KEY_ESCAPE |
  KEY_CONVERT |
  KEY_NONCONVERT |
  KEY_ACCEPT |
  KEY_MODECHANGE |
  KEY_SPACE |
  KEY_PRIOR |
  KEY_NEXT |
  KEY_END |
  KEY_HOME |
  KEY_LEFT |
  KEY_UP |
  KEY_RIGHT |
  KEY_DOWN |
  KEY_SELECT |
  KEY_PRINT |
  KEY_EXECUT |
  KEY_SNAPSHOT |
  KEY_INSERT |
  KEY_DELETE |
  KEY_HELP |
  KEY_KEY_0 |
  KEY_KEY_1 |
  KEY_KEY_2 |
  KEY_KEY_3 |
  KEY_KEY_4 |
  KEY_KEY_5 |
  KEY_KEY_6 |
  KEY_KEY_7 |
  KEY_KEY_8 |
  KEY_KEY_9 |
  KEY_KEY_A |
  KEY_KEY_B |
  KEY_KEY_C |
  KEY_KEY_D |
  KEY_KEY_E |
  KEY_KEY_F |
  KEY_KEY_G |
  KEY_KEY_H |
  KEY_KEY_I |
  KEY_KEY_J |
  KEY_KEY_K |
  KEY_KEY_L |
  KEY_KEY_M |
  KEY_KEY_N |
  KEY_KEY_O |
  KEY_KEY_P |
  KEY_KEY_Q |
  KEY_KEY_R |
  KEY_KEY_S |
  KEY_KEY_T |
  KEY_KEY_U |
  KEY_KEY_V |
  KEY_KEY_W |
  KEY_KEY_X |
  KEY_KEY_Y |
  KEY_KEY_Z |
  KEY_LWIN |
  KEY_RWIN |
  KEY_APPS |
  KEY_SLEEP |
  KEY_NUMPAD0 |
  KEY_NUMPAD1 |
  KEY_NUMPAD2 |
  KEY_NUMPAD3 |
  KEY_NUMPAD4 |
  KEY_NUMPAD5 |
  KEY_NUMPAD6 |
  KEY_NUMPAD7 |
  KEY_NUMPAD8 |
  KEY_NUMPAD9 |
  KEY_MULTIPLY |
  KEY_ADD |
  KEY_SEPARATOR |
  KEY_SUBTRACT |
  KEY_DECIMAL |
  KEY_DIVIDE |
  KEY_F1 |
  KEY_F2 |
  KEY_F3 |
  KEY_F4 |
  KEY_F5 |
  KEY_F6 |
  KEY_F7 |
  KEY_F8 |
  KEY_F9 |
  KEY_F10 |
  KEY_F11 |
  KEY_F12 |
  KEY_F13 |
  KEY_F14 |
  KEY_F15 |
  KEY_F16 |
  KEY_F17 |
  KEY_F18 |
  KEY_F19 |
  KEY_F20 |
  KEY_F21 |
  KEY_F22 |
  KEY_F23 |
  KEY_F24 |
  KEY_NUMLOCK |
  KEY_SCROLL |
  KEY_LSHIFT |
  KEY_RSHIFT |
  KEY_LCONTROL |
  KEY_RCONTROL |
  KEY_LMENU |
  KEY_RMENU |
  KEY_PLUS |
  KEY_COMMA |
  KEY_MINUS |
  KEY_PERIOD |
  KEY_ATTN |
  KEY_CRSEL |
  KEY_EXSEL |
  KEY_EREOF |
  KEY_PLAY |
  KEY_ZOOM |
  KEY_PA1 |
  KEY_OEM_CLEAR |
  KEY_KEY_CODES_COUNT |

Definition at line 11 of file Keycodes.h.

enum irr::ELOG_LEVEL

Possible log levels.

Enumerator:

  ELL_INFORMATION | High log level, warnings, errors and important information texts are printed out.
  ELL_WARNING | Default log level, warnings and errors are printed out.
  ELL_ERROR | Low log level, only errors are printed into the log.
  ELL_NONE | Nothing is printed out to the log.

Definition at line 14 of file ILogger.h.

enum irr::EMOUSE_INPUT_EVENT

Enumeration for all mouse input events.

Enumerator:

  EMIE_LMOUSE_PRESSED_DOWN | Left mouse button was pressed down.
  EMIE_RMOUSE_PRESSED_DOWN | Right mouse button was pressed down.
  EMIE_MMOUSE_PRESSED_DOWN | Middle mouse button was pressed down.
  EMIE_LMOUSE_LEFT_UP | Left mouse button was left up.
  EMIE_RMOUSE_LEFT_UP | Right mouse button was left up.
  EMIE_MMOUSE_LEFT_UP | Middle mouse button was left up.
  EMIE_MOUSE_MOVED | The mouse cursor changed its position.
  EMIE_MOUSE_WHEEL | The mouse wheel was moved. Use Wheel value in event data to find out in what direction and how fast.
  EMIE_LMOUSE_DOUBLE_CLICK | Left mouse button double click. This event is generated after the second EMIE_LMOUSE_PRESSED_DOWN event.
  EMIE_RMOUSE_DOUBLE_CLICK | Right mouse button double click. This event is generated after the second EMIE_RMOUSE_PRESSED_DOWN event.
  EMIE_MMOUSE_DOUBLE_CLICK | Middle mouse button double click. This event is generated after the second EMIE_MMOUSE_PRESSED_DOWN event.
  EMIE_LMOUSE_TRIPLE_CLICK | Left mouse button triple click. This event is generated after the third EMIE_LMOUSE_PRESSED_DOWN event.
  EMIE_RMOUSE_TRIPLE_CLICK | Right mouse button triple click. This event is generated after the third EMIE_RMOUSE_PRESSED_DOWN event.
  EMIE_MMOUSE_TRIPLE_CLICK | Middle mouse button triple click. This event is generated after the third EMIE_MMOUSE_PRESSED_DOWN event.
  EMIE_COUNT | No real event. Just for convenience to get number of events.

Definition at line 74 of file IEventReceiver.h.

## Function Documentation

IRRLICHT_API IrrlichtDevice* IRRCALLCONV irr::createDevice | ( | video::E_DRIVER_TYPE | deviceType = `video::EDT_SOFTWARE`,
|  | const core::dimension2d< u32 > & | windowSize = `(core::dimension2d< u32 >(640, 480))`,
|  | u32 | bits = `16`,
|  | bool | fullscreen = `false`,
|  | bool | stencilbuffer = `false`,
|  | bool | vsync = `false`,
|  | IEventReceiver * | receiver = `0` |
| ) |  |  |

Creates an Irrlicht device. The Irrlicht device is the root object for using the engine.

If you need more parameters to be passed to the creation of the Irrlicht Engine device, use the createDeviceEx() function.

Parameters:

  | deviceType,: | Type of the device. This can currently be video::EDT_NULL, video::EDT_SOFTWARE, video::EDT_BURNINGSVIDEO, video::EDT_DIRECT3D8, video::EDT_DIRECT3D9 and video::EDT_OPENGL.
  | windowSize,: | Size of the window or the video mode in fullscreen mode.
  | bits,: | Bits per pixel in fullscreen mode. Ignored if windowed mode.
  | fullscreen,: | Should be set to true if the device should run in fullscreen. Otherwise the device runs in windowed mode.
  | stencilbuffer,: | Specifies if the stencil buffer should be enabled. Set this to true, if you want the engine be able to draw stencil buffer shadows. Note that not all devices are able to use the stencil buffer. If they don't no shadows will be drawn.
  | vsync,: | Specifies vertical syncronisation: If set to true, the driver will wait for the vertical retrace period, otherwise not.
  | receiver,: | A user created event receiver.

Returns:
  Returns pointer to the created IrrlichtDevice or null if the device could not be created.

IRRLICHT_API IrrlichtDevice* IRRCALLCONV irr::createDeviceEx | ( | const SIrrlichtCreationParameters & | parameters | ) |

Creates an Irrlicht device with the option to specify advanced parameters.

Usually you should used createDevice() for creating an Irrlicht Engine device. Use this function only if you wish to specify advanced parameters like a window handle in which the device should be created.

Parameters:

  | parameters,: | Structure containing advanced parameters for the creation of the device. See irr::SIrrlichtCreationParameters for details.

Returns:
  Returns pointer to the created IrrlichtDevice or null if the device could not be created.

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Oct 24 12:42:02 2010 by Doxygen (1.6.2)